import 'dart:convert';

import 'package:http/http.dart' as http;

import '../../mhslApi.dart';
import 'getMessagesResponse.dart';

class GetMessages extends MhslApi<GetMessagesResponse> {
  GetMessages() : super('message/messages.json');


  @override
  GetMessagesResponse assemble(String raw) => GetMessagesResponse.fromJson(jsonDecode(raw));

  @override
  Future<http.Response> request(Uri uri) => http.get(uri);
}
